Bug 59911 - Italic looks horrible (as does <em>stuff</em>).
Summary: Italic looks horrible (as does <em>stuff</em>).
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ttfonts-ja (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: David Lawrence
URL: http://www.xs4all.nl/~carlo17/c++/con...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-14 18:51 UTC by Shanjian Li
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-27 09:44:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Shanjian Li 2002-02-14 18:51:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.4) Gecko/20011019
Netscape6/6.2

Description of problem:
see http://bugzilla.mozilla.org/show_bug.cgi?id=124306:
With mozilla build ID 2002020221, 
Italic looks horrible (as does <em>stuff</em>)
Not ALL italic looks horrible, but on the given URL
for example, the text "this is why a reference always must be initialized"
has the word 'always' stretched out and deformed with aweful
spacing between the characters.
In general this seems to happen for <em>, <i>, <address> etc
(see also the Copyright notice at the bottom of that page).

The font specified by the document is italic helvetica, mozilla resolve it to 
"-alias-helvetica-medium-i-normal--*-iso8859-1", which is an alias of font 
"-misc-kochi gothic-medium-i-normal--*-iso8859-1". But this font really looks
horrible. It is a CJK font with wide space, and it is not italic at all. If
there is any reason that this font must be kept, at least don't give it a alias
name like helvetica. 








Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install mozilla trunk build
2.load the specified URL
3.
	

Actual Results:  italic font looks horrible.

Expected Results:  A real italic font should be used.

Additional info:

Comment 1 Akira TAGOH 2002-02-27 09:56:17 UTC
This bug should be fixed in 1.0-7 or higher.
You need to upgrade ttfonts-ja to the latest version.


Note You need to log in before you can comment on or make changes to this bug.